* gxInt.FOR                                                                  *
* Copyright (c) Genus Microprogramming, Inc. 1988-92  All Rights Reserved.   *

******************************************************************************
*                                                                            *
* Function declarations for GX Kernel, for Microsoft Fortran.                *
*                                                                            *
*                                                                            *
* Microsoft Fortran 5.x                 Programmer: Chris Howard  12/09/88   *
*                                                   Daniel Sie    05/15/91   *
*                                                   Luhit Young   03/01/92   *
*                                                                            *
******************************************************************************

$NOTRUNCATE

* Function

* gxBT.asm

      INTERFACE TO INTEGER*2 FUNCTION gxBeginTimer
     +[PASCAL,ALIAS: 'GXBEGINTIMER']
     +(resolution)
      INTEGER*2     resolution
      END

      INTERFACE TO INTEGER*4 FUNCTION gxGetTime
     +[PASCAL,ALIAS: 'GXGETTIME']
      END

      INTERFACE TO INTEGER*4 FUNCTION gxElapsedTime
     +[PASCAL,ALIAS: 'GXELAPSEDTIME']
     +(marked)
      INTEGER*4     marked
      END

      INTERFACE TO INTEGER*2 FUNCTION gxDelay
     +[PASCAL,ALIAS: 'GXDELAY']
     +(delay)
      INTEGER*4     delay
      END

      INTERFACE TO INTEGER*2 FUNCTION gxKeyCheck
     +[PASCAL,ALIAS: 'GXKEYCHECK']
     +(kflag)
      INTEGER*2     kflag
      END

* gxCV.asm

      INTERFACE TO INTEGER*2 FUNCTION gxSetVirtualHeader
     +[PASCAL,ALIAS: 'GXSETVIRTUALHEADER']
     +(vtype,vhptr [FAR, REFERENCE],vptr,dtype,vwidth,vdepth)
      INTEGER*2     vtype
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*4     vptr
      INTEGER*2     dtype,vwidth,vdepth
      END

      INTERFACE TO INTEGER*2 FUNCTION gxCreateVirtual
     +[PASCAL,ALIAS: 'GXCREATEVIRTUAL']
     +(vtype,vhptr [FAR, REFERENCE],dtype,vwidth,vdepth)
      INTEGER*2     vtype
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*2     dtype,vwidth,vdepth
      END

      INTERFACE TO INTEGER*2 FUNCTION gxDestroyVirtual
     +[PASCAL,ALIAS: 'GXDESTROYVIRTUAL']
     +(vhptr [FAR, REFERENCE])
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      END

* gxDD.asm

      INTERFACE TO INTEGER*2 FUNCTION gxDisplayDisplay
     +[PASCAL,ALIAS: 'GXDISPLAYDISPLAY']
     +(x1,y1,x2,y2,spage,x,y,dpage)
      INTEGER*2     x1,y1,x2,y2,spage,x,y,dpage
      END

* gxDM.asm

      INTERFACE TO INTEGER*2 FUNCTION gxDMMInstalled
     +[PASCAL,ALIAS: 'GXDMMINSTALLED']
      END

      INTERFACE TO INTEGER*2 FUNCTION gxInstallDMM
     +[PASCAL,ALIAS: 'GXINSTALLDMM']
     +(path [FAR, REFERENCE],frame)
      CHARACTER     path
      INTEGER*2     frame
      END

      INTERFACE TO INTEGER*2 FUNCTION gxRemoveDMM
     +[PASCAL,ALIAS: 'GXREMOVEDMM']
      END

* gxDP.asm

      INTERFACE TO INTEGER*2 FUNCTION gxGetPaletteType
     +[PASCAL,ALIAS: 'GXGETPALETTETYPE']
     +(ptype)
      INTEGER*2     ptype
      END

      INTERFACE TO INTEGER*2 FUNCTION gxSetDisplayPalette
     +[PASCAL,ALIAS: 'GXSETDISPLAYPALETTE']
     +(pal [FAR, REFERENCE])
      CHARACTER     pal
      END

      INTERFACE TO INTEGER*2 FUNCTION gxGetDisplayPalette
     +[PASCAL,ALIAS: 'GXGETDISPLAYPALETTE']
     +(pal [FAR, REFERENCE])
      CHARACTER     pal
      END

      INTERFACE TO INTEGER*2 FUNCTION gxSetPaletteColor
     +[PASCAL,ALIAS: 'GXSETPALETTECOLOR']
     +(index,color)
      INTEGER*2     index,color
      END

      INTERFACE TO INTEGER*2 FUNCTION gxGetPaletteColor
     +[PASCAL,ALIAS: 'GXPALETTECOLOR']
     +(index)
      INTEGER*2     index
      END

      INTERFACE TO INTEGER*2 FUNCTION gxSetPaletteRGB
     +[PASCAL,ALIAS: 'GXSETPALETTERGB']
     +(index,red,green,blue)
      INTEGER*2     index,red,green,blue
      END

      INTERFACE TO INTEGER*2 FUNCTION gxGetPaletteRGB
     +[PASCAL,ALIAS: 'GXGETPALETTERGB']
     +(index,red [FAR, REFERENCE],green [FAR, REFERENCE],
     + blue [FAR, REFERENCE])
      INTEGER*2     index,red,green,blue
      END

* gxDT.asm

      INTERFACE TO INTEGER*2 FUNCTION gxVerifyDisplayType
     +[PASCAL,ALIAS: 'GXVERIFYDISPLAYTYPE']
     +(dtype)
      INTEGER*2     dtype
      END

      INTERFACE TO INTEGER*2 FUNCTION gxMapDisplayType
     +[PASCAL,ALIAS: 'GXMAPDISPLAYTYPE']
     +(nplanes,bitpx)
      INTEGER*2     nplanes,bitpx
      END

* gxDV.asm

      INTERFACE TO INTEGER*2 FUNCTION gxDisplayVirtual
     +[PASCAL,ALIAS: 'GXDISPLAYVIRTUAL']
     +(x1,y1,x2,y2,page,vhptr [FAR, REFERENCE],vx,vy)
      INTEGER*2     x1,y1,x2,y2,page
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*2     vx,vy
      END

* gxEM.asm

      INTERFACE TO INTEGER*2 FUNCTION gxEMSInstalled
     +[PASCAL,ALIAS: 'GXEMSINSTALLED']
      END

* gxGI.asm

      INTERFACE TO INTEGER*2 FUNCTION gxGetImage
     +[PASCAL,ALIAS: 'GXGETIMAGE']
     +(vhptr [FAR, REFERENCE],x1,y1,x2,y2,page)
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*2     x1,y1,x2,y2,page
      END

* gxLB.asm

      INTERFACE TO INTEGER*4 FUNCTION gxLibBuffer
     +[PASCAL,ALIAS: 'GXLIBBUFFER']
     +(lib [FAR, REFERENCE],filename [FAR, REFERENCE],
     + start,count,buffer [FAR, REFERENCE])
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      CHARACTER     filename
      INTEGER*4     start
      INTEGER*2     count
      CHARACTER     buffer
      END

* gxOL.asm

      INTERFACE TO INTEGER*2 FUNCTION gxOpenLib
     +[PASCAL,ALIAS: 'GXOPENLIB']
     +(ltype,libname [FAR, REFERENCE],lib [FAR, REFERENCE],
     + ibuf [FAR, REFERENCE],isize)
      INTEGER*2     ltype
      CHARACTER     libname
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      CHARACTER     ibuf
      INTEGER*2     isize
      END

      INTERFACE TO INTEGER*2 FUNCTION gxCloseLib
     +[PASCAL,ALIAS: 'GXCLOSELIB']
     +(lib [FAR, REFERENCE])
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      END

      INTERFACE TO INTEGER*2 FUNCTION gxFindFile
     +[PASCAL,ALIAS: 'GXFINDFILE']
     +(lib [FAR, REFERENCE],filemask [FAR, REFERENCE],
     + fi [FAR, REFERENCE],sflag)
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      CHARACTER     filemask
      STRUCTURE    /GXFINFO/
        INTEGER*1     pack 
        CHARACTER*13  filename
        INTEGER*4     filepos,filesize
        INTEGER*2     filedate,filetime
      END STRUCTURE
      RECORD       /GXFINFO/ fi
      INTEGER*2     sflag
      END

* gxPG.asm

      INTERFACE TO INTEGER*2 FUNCTION gxBeginPaletteGrab
     +[PASCAL,ALIAS: 'GXBEGINPALETTEGRAB']
     +(pal [FAR, REFERENCE])
      CHARACTER     pal
      END

      INTERFACE TO INTEGER*2 FUNCTION gxEndPaletteGrab
     +[PASCAL,ALIAS: 'GXENDPALETTEGRAB']
      END

* gxPI.asm

      INTERFACE TO INTEGER*2 FUNCTION gxPutImage
     +[PASCAL,ALIAS: 'GXPUTIMAGE']
     +(vhptr [FAR, REFERENCE],op,x,y,page)
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*2     op,x,y,page
      END

* gxQC.asm

      INTERFACE TO INTEGER*2 FUNCTION gxVESAInstalled
     +[PASCAL,ALIAS: 'GXVESAINSTALLED']
     +(viptr [FAR, REFERENCE])
      STRUCTURE /GXVESAINFO/
        CHARACTER*4   signature
        INTEGER*2     version
        INTEGER*4     OEMstrptr
        CHARACTER*4   capabilities
        INTEGER*4     modeptr
        INTEGER*2     memblocks
        CHARACTER*236 reserved
      END STRUCTURE
      RECORD       /GXVESAINFO/ viptr 
      END

      INTERFACE TO INTEGER*2 FUNCTION gxQueryChipset
     +[PASCAL,ALIAS: 'GXQUERYCHIPSET']
      END

      INTERFACE TO INTEGER*2 FUNCTION gxSetChipset
     +[PASCAL,ALIAS: 'GXSETCHIPSET']
     +(chipset)
      INTEGER*2     chipset
      END

      INTERFACE TO INTEGER*2 FUNCTION gxGetChipset
     +[PASCAL,ALIAS: 'GXGETCHIPSET']
      END

      INTERFACE TO INTEGER*2 FUNCTION gxChipsetInfo
     +[PASCAL,ALIAS: 'GXCHIPSETINFO']
     +(ci [FAR, REFERENCE])  
      STRUCTURE    /GXCINFO/
        INTEGER*2     chipset,memory,maxdisp
      END STRUCTURE
      RECORD       /GXCINFO/ ci
      END

* gxRD.asm

      INTERFACE TO INTEGER*2 FUNCTION gxClearDisplay
     +[PASCAL,ALIAS: 'GXCLEARDISPLAY']
     +(color,page)
      INTEGER*2     color,page
      END

* gxRV.asm

      INTERFACE TO INTEGER*2 FUNCTION gxClearVirtual
     +[PASCAL,ALIAS: 'GXCLEARVIRTUAL']
     +(vhptr [FAR, REFERENCE],color)
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*2     color
      END

* gxSB.asm

      INTERFACE TO INTEGER*2 FUNCTION gxSetBuffer
     +[PASCAL,ALIAS: 'GXSETBUFFER']
     +(buffer [FAR, REFERENCE],bufmax)
      CHARACTER     buffer
      INTEGER*2     bufmax
      END

* gxSD.asm

      INTERFACE TO INTEGER*2 FUNCTION gxGetVersion
     +[PASCAL,ALIAS: 'GXGETVERSION']
     +(major [FAR, REFERENCE],minor [FAR, REFERENCE])
      INTEGER*2       major,minor
      END

      INTERFACE TO INTEGER*2 FUNCTION gxSetDisplay
     +[PASCAL,ALIAS: 'GXSETDISPLAY']
     +(dtype)
      INTEGER*2     dtype
      END

      INTERFACE TO INTEGER*2 FUNCTION gxGetDisplay
     +[PASCAL,ALIAS: 'GXGETDISPLAY']
      END

      INTERFACE TO INTEGER*2 FUNCTION gxGetDisplayInfo
     +[PASCAL,ALIAS: 'GXGETDISPLAYINFO']
     +(dtype,di [FAR, REFERENCE])
      INTEGER*2     dtype
      STRUCTURE    /GXDINFO/
        INTEGER*1     type
        CHARACTER*20  descrip
        INTEGER*1     ctype
        INTEGER*1     mode
        INTEGER*1     bitpx
        INTEGER*2     hres,vres,bplin
        INTEGER*1     planes,pages
        INTEGER*2     begseg,pagesize,paltype
      END STRUCTURE
      RECORD       /GXDINFO/ di
      END

      INTERFACE TO INTEGER*2 FUNCTION gxSetMode
     +[PASCAL,ALIAS: 'GXSETMODE']
     +(dmode)
      INTEGER*2     dmode
      END

      INTERFACE TO INTEGER*2 FUNCTION gxGetMode
     +[PASCAL,ALIAS: 'GXGETMODE']
      END

      INTERFACE TO INTEGER*2 FUNCTION gxSetHerc
     +[PASCAL,ALIAS: 'GXSETHERC']
     +(hercflag)
      INTEGER*2     hercflag
      END

      INTERFACE TO INTEGER*2 FUNCTION gxModeCheck
     +[PASCAL,ALIAS: 'GXMODECHECK']
     +(mflag)
      INTEGER*2     mflag
      END

      INTERFACE TO INTEGER*2 FUNCTION gxRetraceCheck
     +[PASCAL,ALIAS: 'GXRETRACECHECK']
     +(rflag)
      INTEGER*2     rflag
      END

* gxSL.asm

      INTERFACE TO INTEGER*2 FUNCTION gxGetVirtualScanline
     +[PASCAL,ALIAS: 'GXGETVIRTUALSCANLINE']
     +(vhptr [FAR, REFERENCE],scanline,scanbuf [FAR, REFERENCE])
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*2     scanline
      CHARACTER     scanbuf
      END

      INTERFACE TO INTEGER*2 FUNCTION gxSetVirtualScanline
     +[PASCAL,ALIAS: 'GXSETVIRTUALSCANLINE']
     +(vhptr [FAR, REFERENCE],scanline,scanbuf [FAR, REFERENCE])
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*2     scanline
      CHARACTER     scanbuf
      END

* gxSP.asm

      INTERFACE TO INTEGER*2 FUNCTION gxSetPage
     +[PASCAL,ALIAS: 'GXSETPAGE']
     +(page)
      INTEGER*2     page
      END

      INTERFACE TO INTEGER*2 FUNCTION gxGetPage
     +[PASCAL,ALIAS: 'GXGETPAGE']
      END

* gxSR.asm

      INTERFACE TO INTEGER*2 FUNCTION gxSetRandom
     +[PASCAL,ALIAS: 'GXSETRANDOM']
     +(seed)
      INTEGER*2     seed
      END

      INTERFACE TO INTEGER*2 FUNCTION gxGetRandom
     +[PASCAL,ALIAS: 'GXGETRANDOM']
     +(range)
      INTEGER*2     range
      END

* gxTB.asm

      INTERFACE TO INTEGER*2 FUNCTION gxTextBuffer
     +[PASCAL,ALIAS: 'GXTEXTBUFFER']
     +(textbuf [FAR, REFERENCE])
      CHARACTER     textbuf
      END

      INTERFACE TO INTEGER*2 FUNCTION gxBufferText
     +[PASCAL,ALIAS: 'GXBUFFERTEXT']
     +(textbuf [FAR, REFERENCE])
      CHARACTER     textbuf
      END

* gxVC.asm

      INTERFACE TO INTEGER*2 FUNCTION gxFindClosestColor
     +[PASCAL,ALIAS: 'GXFINDCLOSESTCOLOR']
     +(scolor)
      INTEGER*2     scolor
      END

      INTERFACE TO INTEGER*2 FUNCTION gxFindClosestRGB
     +[PASCAL,ALIAS: 'GXFINDCLOSESTRGB']
     +(ptype,red,green,blue)
      INTEGER*2     ptype,red,green,blue
      END

      INTERFACE TO INTEGER*2 FUNCTION gxGetDitherMatrix
     +[PASCAL,ALIAS: 'GXGETDITHERMATRIX']
      END

      INTERFACE TO INTEGER*2 FUNCTION gxSetDitherMatrix
     +[PASCAL,ALIAS: 'GXSETDITHERMATRIX']
     +(dmtype)
      INTEGER*2     dmtype
      END

      INTERFACE TO INTEGER*2 FUNCTION gxGetConvertPalette
     +[PASCAL,ALIAS: 'GXGETCONVERTPALETTE']
     +(ptype,palptr [FAR, REFERENCE])
      INTEGER*2     ptype
      CHARACTER     palptr
      END

      INTERFACE TO INTEGER*2 FUNCTION gxSetConvertPalette
     +[PASCAL,ALIAS: 'GXSETCONVERTPALETTE']
     +(ptype,palptr [FAR, REFERENCE])
      INTEGER*2     ptype
      CHARACTER     palptr
      END

      INTERFACE TO INTEGER*2 FUNCTION gxVirtualConvert
     +[PASCAL,ALIAS: 'GXVIRTUALCONVERT']
     +(svhptr [FAR, REFERENCE],
     + palptr [FAR, REFERENCE],
     + dvhptr [FAR, REFERENCE])
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ svhptr,dvhptr
      CHARACTER    palptr
      END

* gxVD.asm

      INTERFACE TO INTEGER*2 FUNCTION gxVirtualDisplay
     +[PASCAL,ALIAS: 'GXVIRTUALDISPLAY']
     +(vhptr [FAR, REFERENCE],vx,vy,x1,y1,x2,y2,page)
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*2     vx,vy,x1,y1,x2,y2,page
      END

* gxVI.asm

      INTERFACE TO INTEGER*2 FUNCTION gxVideoInfo
     +[PASCAL,ALIAS: 'GXVIDEOINFO']
     +(vi [FAR, REFERENCE])  
      STRUCTURE    /GXVINFO/
        INTEGER*1     adapter,display
      END STRUCTURE
      RECORD       /GXVINFO/ vi
      END

* gxVL.asm

      INTERFACE TO INTEGER*2 FUNCTION gxVirtualScale
     +[PASCAL,ALIAS: 'GXVIRTUALSCALE']
     +(svhptr [FAR, REFERENCE],dvhptr [FAR, REFERENCE])
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ svhptr,dvhptr
      END

* gxVR.asm

      INTERFACE TO INTEGER*4 FUNCTION gxVirtualSize
     +[PASCAL,ALIAS: 'GXVIRTUALSIZE']
     +(dtype,width,depth)
      INTEGER*2     dtype,width,depth
      END

      INTERFACE TO INTEGER*4 FUNCTION gxVirtualFree
     +[PASCAL,ALIAS: 'GXVIRTUALFREE']
     +(vtype)
      INTEGER*2     vtype
      END

* gxVS.asm

      INTERFACE TO INTEGER*2 FUNCTION gxVirtualScroll
     +[PASCAL,ALIAS: 'GXVIRTUALSCROLL']
     +(vhptr [FAR, REFERENCE],width,depth,x1,y1,x2,y2,page)
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*2     width,depth,x1,y1,x2,y2,page
      END

* gxVV.asm

      INTERFACE TO INTEGER*2 FUNCTION gxVirtualVirtual
     +[PASCAL,ALIAS: 'GXVIRTUALVIRTUAL']
     +(svhptr [FAR, REFERENCE],x1,y1,x2,y2,
     + dvhptr [FAR, REFERENCE],vx,vy,op)
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ svhptr,dvhptr
      INTEGER*2     x1,y1,x2,y2,vx,vy,op
      END

* gxXM.asm

      INTERFACE TO INTEGER*2 FUNCTION gxXMSInstalled
     +[PASCAL,ALIAS: 'GXXMSINSTALLED']
      END

      INTERFACE TO INTEGER*2 FUNCTION gxXMMInstalled
     +[PASCAL,ALIAS: 'GXXMMINSTALLED']
      END

      INTERFACE TO INTEGER*2 FUNCTION gxInstallXMM
     +[PASCAL,ALIAS: 'GXINSTALLXMM']
     +(frame)
      INTEGER*2    frame
      END

      INTERFACE TO INTEGER*2 FUNCTION gxRemoveXMM
     +[PASCAL,ALIAS: 'GXREMOVEXMM']
      END

