* gxLib.FOR                                                                  *
* Copyright (c) Genus Microprogramming, Inc. 1988-92  All Rights Reserved.   *

******************************************************************************
*                                                                            *
* Parameter declarations for GX Kernel, for Microsoft Fortran.               *
*                                                                            *
*                                                                            *
*                                                                            *
* Microsoft Fortran 5.x                 Programmer: Chris Howard  12/09/88   *
*                                                   Daniel Sie    05/15/91   *
*                                                   Luhit Young   03/01/92   *
*                                                                            *
******************************************************************************

$NOTRUNCATE

* Functions
* gxBT.asm
      INTEGER*2 gxBeginTimer [EXTERN]
      INTEGER*4 gxGetTime [EXTERN]
      INTEGER*4 gxElapsedTime [EXTERN]
      INTEGER*2 gxDelay [EXTERN]
      INTEGER*2 gxKeyCheck [EXTERN]

* gxCV.asm
      INTEGER*2 gxSetVirtualHeader [EXTERN]
      INTEGER*2 gxCreateVirtual [EXTERN]
      INTEGER*2 gxDestroyVirtual [EXTERN]

* gxDD.asm
      INTEGER*2 gxDisplayDisplay [EXTERN]

* gxDM.asm
      INTEGER*2 gxDMMInstalled [EXTERN]
      INTEGER*2 gxInstallDMM [EXTERN]
      INTEGER*2 gxRemoveDMM [EXTERN]

* gxDP.asm
      INTEGER*2 gxGetPaletteType [EXTERN]
      INTEGER*2 gxSetDisplayPalette [EXTERN]
      INTEGER*2 gxGetDisplayPalette [EXTERN]
      INTEGER*2 gxSetPaletteColor [EXTERN]
      INTEGER*2 gxGetPaletteColor [EXTERN]
      INTEGER*2 gxSetPaletteRGB [EXTERN]
      INTEGER*2 gxGetPaletteRGB [EXTERN]

* gxDT.asm
      INTEGER*2 gxVerifyDisplayType [EXTERN]
      INTEGER*2 gxMapDisplayType [EXTERN]

* gxDV.asm
      INTEGER*2 gxDisplayVirtual [EXTERN]

* gxEM.asm
      INTEGER*2 gxEMSInstalled [EXTERN]

* gxGI.asm
      INTEGER*2 gxGetImage [EXTERN]

* gxLB.asm
      INTEGER*4 gxLibBuffer [EXTERN]

* gxOL.asm
      INTEGER*2 gxOpenLib [EXTERN]
      INTEGER*2 gxCloseLib [EXTERN]
      INTEGER*2 gxFindFile [EXTERN]

* gxPG.asm
      INTEGER*2 gxBeginPaletteGrab [EXTERN]
      INTEGER*2 gxEndPaletteGrab [EXTERN]

* gxPI.asm
      INTEGER*2 gxPutImage [EXTERN]

* gxQC.asm
      INTEGER*2 gxVESAInstalled [EXTERN]
      INTEGER*2 gxQueryChipset [EXTERN]
      INTEGER*2 gxSetChipset [EXTERN]
      INTEGER*2 gxGetChipset [EXTERN]
      INTEGER*2 gxChipsetInfo [EXTERN]

* gxRD.asm
      INTEGER*2 gxClearDisplay [EXTERN]

* gxRV.asm
      INTEGER*2 gxClearVirtual [EXTERN]

* gxSB.asm
      INTEGER*2 gxSetBuffer [EXTERN]

* gxSD.asm
      INTEGER*2 gxGetVersion [EXTERN]
      INTEGER*2 gxSetDisplay [EXTERN]
      INTEGER*2 gxGetDisplay [EXTERN]
      INTEGER*2 gxGetDisplayInfo [EXTERN]
      INTEGER*2 gxSetMode [EXTERN]
      INTEGER*2 gxGetMode [EXTERN]
      INTEGER*2 gxSetHerc [EXTERN]
      INTEGER*2 gxModeCheck [EXTERN]
      INTEGER*2 gxRetraceCheck [EXTERN]

* gxSL.asm
      INTEGER*2 gxGetVirtualScanline [EXTERN]
      INTEGER*2 gxSetVirtualScanline [EXTERN]

* gxSP.asm
      INTEGER*2 gxSetPage [EXTERN]
      INTEGER*2 gxGetPage [EXTERN]

* gxSR.asm
      INTEGER*2 gxSetRandom [EXTERN]
      INTEGER*2 gxGetRandom [EXTERN]

* gxTB.asm
      INTEGER*2 gxTextBuffer [EXTERN]
      INTEGER*2 gxBufferText [EXTERN]

* gxVC.asm
      INTEGER*2 gxFindClosestColor [EXTERN]
      INTEGER*2 gxFindClosestRGB [EXTERN]
      INTEGER*2 gxGetDitherMatrix [EXTERN]
      INTEGER*2 gxSetDitherMatrix [EXTERN]
      INTEGER*2 gxGetConvertPalette [EXTERN]
      INTEGER*2 gxSetConvertPalette [EXTERN]
      INTEGER*2 gxVirtualConvert [EXTERN]

* gxVD.asm
      INTEGER*2 gxVirtualDisplay [EXTERN]

* gxVI.asm
      INTEGER*2 gxVideoInfo [EXTERN]

* gxVL.asm
      INTEGER*2 gxVirtualScale [EXTERN]

* gxVR.asm
      INTEGER*4 gxVirtualSize [EXTERN]
      INTEGER*4 gxVirtualFree [EXTERN]

* gxVS.asm
      INTEGER*2 gxVirtualScroll [EXTERN]

* gxVV.asm
      INTEGER*2 gxVirtualVirtual [EXTERN]

* gxXM.asm
      INTEGER*2 gxXMSInstalled [EXTERN]
      INTEGER*2 gxXMMInstalled [EXTERN]
      INTEGER*2 gxInstallXMM [EXTERN]
      INTEGER*2 gxRemoveXMM [EXTERN]

* GX ID's
      INTEGER*2  gxID,gxVHID,gxLHID
      PARAMETER (gxID        = #CA)
      PARAMETER (gxVHID      = #CA00)
      PARAMETER (gxLHID      = #CA01)

* GX Display modes
      INTEGER*2  gxDETECT,gxDEFAULT,gxTEXT,gxGRAPHICS
      PARAMETER (gxDETECT    = -1)
      PARAMETER (gxDEFAULT   = -1)
      PARAMETER (gxTEXT      = 0)
      PARAMETER (gxGRAPHICS  = 1)

* GX Display types
      INTEGER*2  gxMINDISP
      INTEGER*2  gxCGA_4,gxCGA_6,gxEGA_D,gxEGA_E,gxEGA_F,gxEGA_10
      INTEGER*2  gxVGA_11,gxVGA_12,gxVGA_13,gxHERC
      INTEGER*2  gxTS_29,gxTS_2D,gxTS_2E,gxTS_30,gxTS_38
      INTEGER*2  gxPAR_58,gxPAR_59,gxPAR_5E,gxPAR_5F,gxPAR_5C,gxPAR_60
      INTEGER*2  gxV7_62,gxV7_66,gxV7_67,gxV7_69,gxV7_6A
      INTEGER*2  gxATI_54,gxATI_61,gxATI_62,gxATI_63,gxATI_64
      INTEGER*2  gxTRI_5B,gxTRI_5C,gxTRI_5D,gxTRI_5E,gxTRI_62
      INTEGER*2  gxVESA_100,gxVESA_101,gxVESA_102,gxVESA_103,gxVESA_105
      INTEGER*2  gxMAXDISP

      PARAMETER (gxMINDISP   = 0)
*     CGA Mode  4H ( 320x200x4  )
      PARAMETER (gxCGA_4     = 0)
*     CGA Mode  6H ( 640x200x2  )
      PARAMETER (gxCGA_6     = 1)
*     EGA Mode  DH ( 320x200x16 )
      PARAMETER (gxEGA_D     = 2)
*     EGA Mode  EH ( 640x200x16 )
      PARAMETER (gxEGA_E     = 3)
*     EGA Mode  FH ( 640x350x2  )
      PARAMETER (gxEGA_F     = 4)
*     EGA Mode 10H ( 640x350x16 )
      PARAMETER (gxEGA_10    = 5)
*     VGA Mode 11H ( 640x480x2  )
      PARAMETER (gxVGA_11    = 6)
*     VGA Mode 12H ( 640x480x16 )
      PARAMETER (gxVGA_12    = 7)
*     VGA Mode 13H ( 320x200x256)
      PARAMETER (gxVGA_13    = 8)
*     Hercules     ( 720x348x2  )
      PARAMETER (gxHERC      = 9)
*     Tseng    29H ( 800x600x16 )
      PARAMETER (gxTS_29     = 10)
*     Tseng    2DH ( 640x350x256)
      PARAMETER (gxTS_2D     = 11)
*     Tseng    2EH ( 640x480x256)
      PARAMETER (gxTS_2E     = 12)
*     Tseng    30H ( 800x600x256)
      PARAMETER (gxTS_30     = 13)
*     Tseng    38H (1024x768x256)
      PARAMETER (gxTS_38     = 26)
*     Paradise 58H ( 800x600x16 )
      PARAMETER (gxPAR_58    = 14)
*     Paradise 59H ( 800x600x2  )
      PARAMETER (gxPAR_59    = 15)
*     Paradise 5EH ( 640x400x256)
      PARAMETER (gxPAR_5E    = 16)
*     Paradise 5FH ( 640x480x256)
      PARAMETER (gxPAR_5F    = 17)
*     Paradise 5CH ( 800x600x256)
      PARAMETER (gxPAR_5C    = 27)
*     Paradise 60H (1024x768x256)
      PARAMETER (gxPAR_60    = 28)
*     Video 7  62H ( 800x600x16 )
      PARAMETER (gxV7_62     = 18)
*     Video 7  66H ( 640x400x256)
      PARAMETER (gxV7_66     = 19)
*     Video 7  67H ( 640x480x256)
      PARAMETER (gxV7_67     = 20)
*     Video 7  69H ( 800x600x256)
      PARAMETER (gxV7_69     = 21)
*     Video 7  6AH (1024x768x256)
      PARAMETER (gxV7_6A     = 29)
*     ATI      54H ( 800x600x16 )
      PARAMETER (gxATI_54    = 22)
*     ATI      61H ( 640x400x256)
      PARAMETER (gxATI_61    = 23)
*     ATI      62H ( 640x480x256)
      PARAMETER (gxATI_62    = 24)
*     ATI      63H ( 800x600x256)
      PARAMETER (gxATI_63    = 25)
*     ATI      64H (1024x768x256)
      PARAMETER (gxATI_64    = 30)
*     Trident  5BH ( 800x600x16 )
      PARAMETER (gxTRI_5B    = 31)
*     Trident  5CH ( 640x400x256)
      PARAMETER (gxTRI_5C    = 32)
*     Trident  5DH ( 640x480x256)
      PARAMETER (gxTRI_5D    = 33)
*     Trident  5EH ( 800x600x256)
      PARAMETER (gxTRI_5E    = 34)
*     Trident  62H (1024x768x256)
      PARAMETER (gxTRI_62    = 35)
*     VESA    100H ( 640x400x256)
      PARAMETER (gxVESA_100  = 36)
*     VESA    101H ( 640x480x256)
      PARAMETER (gxVESA_101  = 37)
*     VESA    102H ( 800x600x16 )
      PARAMETER (gxVESA_102  = 38)
*     VESA    103H ( 800x600x256)
      PARAMETER (gxVESA_103  = 39)
*     VESA    105H (1024x768x256)
      PARAMETER (gxVESA_105  = 40)
      PARAMETER (gxMAXDISP   = 40)

* Searches
      INTEGER*2  gxFIRST,gxNEXT
*     Find first matching entry
      PARAMETER (gxFIRST     = 0)
*     Find next matching entry
      PARAMETER (gxNEXT      = 1)

* Logical Operations
      INTEGER*2  gxSET,gxAND,gxOR,gxXOR
*     SET pixel value directly
      PARAMETER (gxSET       = 0)
*     AND pixel value with data
      PARAMETER (gxAND       = 1)
*     OR  pixel value with data
      PARAMETER (gxOR        = 2)
*     XOR pixel value with data
      PARAMETER (gxXOR       = 3)

* Virtual Memory Type
      INTEGER*2  gxCMM,gxEMM,gxXMM,gxDMM
*     Conventional Memory virtual
      PARAMETER (gxCMM       = 0)
*     Expanded Memory virtual
      PARAMETER (gxEMM       = 1)
*     Disk paging virtual
      PARAMETER (gxDMM       = 2)
*     Extended Memory virtual
      PARAMETER (gxXMM       = 3)

* Library Type
      INTEGER*2  gxDIR,gxGXL,gxEXE
*     DOS Directory
      PARAMETER (gxDIR       = 0)
*     GXL file
      PARAMETER (gxGXL       = 1)
*     GXL imbedded in EXE
      PARAMETER (gxEXE       = 2)

* Dither matrix type
      INTEGER*2  gxMAGICSQ,gxDISPERSED,gxCLUSTERED
*     Magic square
      PARAMETER (gxMAGICSQ   = 0)
*     Dispersed-dot
      PARAMETER (gxDISPERSED = 1)
*     Clustered-dot
      PARAMETER (gxCLUSTERED = 2)

* Timer Resolution
      INTEGER*2  gxLOWRES,gxHIGHRES
*     Low Resolution (54.92 msec/cycle)
      PARAMETER (gxLOWRES    = 0)
*     High Resolution (1 msec/cycle)
      PARAMETER (gxHIGHRES   = 1)

* Miscellaneous
      INTEGER*2  gxTRUE,gxFALSE
*     True value
      PARAMETER (gxTRUE     = 1)
*     False value
      PARAMETER (gxFALSE    = 0)

* Video Info Constants
      INTEGER*2  viNONE,viMDA,viCGA,viEGA,viMCGA,viVGA
      INTEGER*2  viHGC,viHGCPlus,viHGCColor
*     No adapter/display
      PARAMETER (viNONE      = 0)
*     Monochrome Display Adapter
      PARAMETER (viMDA       = 1)
*     Color Graphicx Adapter
      PARAMETER (viCGA       = 2)
*     Enhanced Graphics Adapter
      PARAMETER (viEGA       = 3)
*     Multi-Color Graphics Array
      PARAMETER (viMCGA      = 4)
*     Video Graphics Array
      PARAMETER (viVGA       = 5)
*     Hercules Monochrome
      PARAMETER (viHGC       = #80)
*     Hercules Plus
      PARAMETER (viHGCPlus   = #81)
*     Hercules InColor
      PARAMETER (viHGCColor  = #82)

      INTEGER*2  viMDAdisp,viCGAdisp,viEGAdisp,viVGAmono,viVGAcolor
*     Monochrome Display
      PARAMETER (viMDAdisp   = 1)
*     CGA Display
      PARAMETER (viCGAdisp   = 2)
*     EGA Display
      PARAMETER (viEGAdisp   = 3)
*     VGA Monochrome Display
      PARAMETER (viVGAmono   = 4)
*     VGA Color Display
      PARAMETER (viVGAcolor  = 5)

* Chip sets
      INTEGER*2  chipUNKNOWN,chipTSENG,chipPARA,chipV7,chipATI
      INTEGER*2  chipTSENG4,chipTRIDENT,chipVESA
*     Unknown chip set
      PARAMETER (chipUNKNOWN = 0)
*     Tseng ET3000
      PARAMETER (chipTSENG   = 1)
*     Paradise
      PARAMETER (chipPARA    = 2)
*     Video 7
      PARAMETER (chipV7      = 3)
*     ATI
      PARAMETER (chipATI     = 4)
*     Tseng ET4000
      PARAMETER (chipTSENG4  = 5)
*     Trident
      PARAMETER (chipTRIDENT = 6)
*     VESA compatible
      PARAMETER (chipVESA    = 7)

* Hercules Configuration
      INTEGER*2  gxHERCdiag,gxHERChalf,gxHERCfull
*     Hercules Diagnostic
      PARAMETER (gxHERCdiag  = 0)
*     Hercules Half
      PARAMETER (gxHERChalf  = 1)
*     Hercules Full
      PARAMETER (gxHERCfull  = 3)

* Default Palette Colors
      INTEGER*2 gxBLACK,gxBLUE,gxGREEN,gxCYAN,gxRED,gxMAGENTA,gxBROWN
      INTEGER*2 gxGRAY,gxDARKGRAY,gxLIGHTBLUE,gxLIGHTGREEN,gxLIGHTCYAN
      INTEGER*2 gxLIGHTRED,gxLIGHTMAGENTA,gxYELLOW,gxWHITE

*     Black     (#00)
      PARAMETER (gxBLACK        = 0)
*     Blue      (#01)
      PARAMETER (gxBLUE         = 1)
*     Green     (#02)
      PARAMETER (gxGREEN        = 2)
*     Cyan      (#03)
      PARAMETER (gxCYAN         = 3)
*     Red       (#04)
      PARAMETER (gxRED          = 4)
*     Magenta   (#05)
      PARAMETER (gxMAGENTA      = 5)
*     Brown     (#06)
      PARAMETER (gxBROWN        = 6)
*     Gray      (#07)
      PARAMETER (gxGRAY         = 7)
*     DarkGray  (#38)
      PARAMETER (gxDARKGRAY     = 8)
*     Lightblue (#39)
      PARAMETER (gxLIGHTBLUE    = 9)
*     Lightgreen(#3A)
      PARAMETER (gxLIGHTGREEN   = 10)
*     Lightcyan (#3B)
      PARAMETER (gxLIGHTCYAN    = 11)
*     Lightred  (#3C)
      PARAMETER (gxLIGHTRED     = 12)
*     Lightmag  (#3D)
      PARAMETER (gxLIGHTMAGENTA = 13)
*     Yellow    (#3E)
      PARAMETER (gxYELLOW       = 14)
*     White     (#3F)
      PARAMETER (gxWHITE        = 15)

* Palette types
      INTEGER*2 gxPAL0,gxPAL1,gxPAL2,gxPAL3,gxPAL4,gxPAL5
*     No palette (B/W)
      PARAMETER (gxPAL0         = 0)
*     CGA 4   color
      PARAMETER (gxPAL1         = 1)
*     CGA 2   color
      PARAMETER (gxPAL2         = 2)
*     EGA 16  color
      PARAMETER (gxPAL3         = 3)
*     VGA 16  color
      PARAMETER (gxPAL4         = 4)
*     VGA 256 color
      PARAMETER (gxPAL5         = 5)

* Error Codes
      INTEGER*2  gxSUCCESS,gxERR_OPEN,gxERR_BUFSMALL,gxERR_READ
      INTEGER*2  gxERR_WRITE,gxERR_BADDISP
      INTEGER*2  gxERR_BADMODE,gxERR_BADPAGE,gxERR_BADPAL
      INTEGER*2  gxERR_NOPAL,gxERR_NOPALGRAB,gxERR_NOTGXLIB
      INTEGER*2  gxERR_NOSYNC,gxERR_NOTFOUND,gxERR_CLIPPARM
      INTEGER*2  gxERR_ESCAPE,gxERR_NOEMM,gxERR_EMMFAIL
      INTEGER*2  gxERR_EMMNOMEM,gxERR_BADMEMTYPE,gxERR_CMMFAIL
      INTEGER*2  gxERR_CMMNOMEM,gxERR_BADCOORD,gxERR_NOTGX
      INTEGER*2  gxERR_NODMM,gxERR_DMMFAIL,gxERR_DMMNOMEM
      INTEGER*2  gxERR_DMMFILE,gxERR_CLOSE,gxERR_BADCHIP
      INTEGER*2  gxERR_EOF,gxERR_NOXMM,gxERR_XMMFAIL,gxERR_XMMNOMEM
      INTEGER*2  gxERR_NOVESA,gxERR_VESAFAIL,gxERR_BADDMTYPE
      INTEGER*2  gxERR_NOTGXFILE,gxERR_NOTIMPL,gxERR_GENERAL
*     Successful
      PARAMETER (gxSUCCESS        =  0)
*     Error opening file
      PARAMETER (gxERR_OPEN       = -1)
*     Buffer is too small
      PARAMETER (gxERR_BUFSMALL   = -2)
*     Error in reading from file
      PARAMETER (gxERR_READ       = -3)
*     Error in writing to file
      PARAMETER (gxERR_WRITE      = -4)
*     Display not defined/invalid
      PARAMETER (gxERR_BADDISP    = -6)
*     Bad display mode
      PARAMETER (gxERR_BADMODE    = -7)
*     Bad page
      PARAMETER (gxERR_BADPAGE    = -8)
*     Bad palette
      PARAMETER (gxERR_BADPAL     = -9)
*     No palette is available
      PARAMETER (gxERR_NOPAL      = -10)
*     Palette is not grabbed
      PARAMETER (gxERR_NOPALGRAB  = -11)
*     Not a GX library
      PARAMETER (gxERR_NOTGXLIB   = -12)
*     Lost image synch in library
      PARAMETER (gxERR_NOSYNC     = -13)
*     Image not found in library
      PARAMETER (gxERR_NOTFOUND   = -14)
*     Bad number of Clipper parms
      PARAMETER (gxERR_CLIPPARM   = -15)
*     Bad printer type
      PARAMETER (gxERR_ESCAPE     = -20)
*     No Emm driever was found
      PARAMETER (gxERR_NOEMM      = -21)
*     General EMM driver failure
      PARAMETER (gxERR_EMMFAIL    = -22)
*     No EMM memory available
      PARAMETER (gxERR_EMMNOMEM   = -23)
*     Bad virtual memory type
      PARAMETER (gxERR_BADMEMTYPE = -24)
*     General CMM alloc/free error
      PARAMETER (gxERR_CMMFAIL    = -25)
*     No CMM memory available
      PARAMETER (gxERR_CMMNOMEM   = -26)
*     Bad coordinate location
      PARAMETER (gxERR_BADCOORD   = -27)
*     Not a valid GX buffer/file
      PARAMETER (gxERR_NOTGX      = -28)
*     No DMM driver was found
      PARAMETER (gxERR_NODMM      = -29)
*     General DMM driver failure
      PARAMETER (gxERR_DMMFAIL    = -30)
*     No DMM memory available
      PARAMETER (gxERR_DMMNOMEM   = -31)
*     Error with the DMM file
      PARAMETER (gxERR_DMMFILE    = -32)
*     Error closing file
      PARAMETER (gxERR_CLOSE      = -33)
*     Invalid chipset
      PARAMETER (gxERR_BADCHIP    = -34)
*     End of file found
      PARAMETER (gxERR_EOF        = -35)
*     No XMS driver was found
      PARAMETER (gxERR_NOXMM      = -36)
*     General XMS driver failure
      PARAMETER (gxERR_XMMFAIL    = -37)
*     No XMM memory available
      PARAMETER (gxERR_XMMNOMEM   = -38)
*     No VESA driver was found
      PARAMETER (gxERR_NOVESA     = -39)
*     General VESA driver failure
      PARAMETER (gxERR_VESAFAIL   = -40)
*     Invalid dither matrix type
      PARAMETER (gxERR_BADDMTYPE  = -41)
*     Not a GXFILE structure
      PARAMETER (gxERR_NOTGXFILE  = -42)
*     Not implemented yet
      PARAMETER (gxERR_NOTIMPL    = -900)
*     General error
      PARAMETER (gxERR_GENERAL    = -999)

* GX Header
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*2     version
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr
        INTEGER*1     reserved(94)
      END STRUCTURE

* Library Header
      STRUCTURE /GXLIBHEADER/
        INTEGER*2     id
        CHARACTER*50  copyright
        INTEGER*2     version
        CHARACTER*40  label
        INTEGER*2     entries
        INTEGER*1     reserved
      END STRUCTURE

* Library File Information
      STRUCTURE /GXFINFO/
        INTEGER*1     pack
        CHARACTER*13  filename
        INTEGER*4     filepos,filesize
        INTEGER*2     filedate,filetime
      END STRUCTURE

* Library Structure
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE

* Display Type Information
      STRUCTURE /GXDINFO/
        INTEGER*1     dtype
        CHARACTER*20  descrip
        INTEGER*1     ctype
        INTEGER*1     mode
        INTEGER*1     bitpx
        INTEGER*2     hres,vres,bplin
        INTEGER*1     planes,pages
        INTEGER*2     begseg,pagesize,paltype
      END STRUCTURE

* Video Information
      STRUCTURE /GXVINFO/
        INTEGER*1     adapter,display
      END STRUCTURE

* Chipset Information
      STRUCTURE /GXCINFO/
        INTEGER*2     chipset,memory,maxdisp
      END STRUCTURE

* VESA SVGA information block
      STRUCTURE /GXVESAINFO/
        CHARACTER*4   signature
        INTEGER*2     version
        INTEGER*4     OEMstrptr
        CHARACTER*4   capabilities
        INTEGER*4     modeptr
        INTEGER*2     memblocks
        CHARACTER*236 reserved
      END STRUCTURE


