* pcxInt.FOR                                                                *
* Copyright (c) Genus Microprogramming, Inc. 1988-92  All Rights Reserved.  *

*****************************************************************************
*                                                                           *
* Function declarations for the PCX Programmer's Toolkit, for MS Fortran.   *
*                                                                           *
*                                                                           *
* Microsoft Fortran 5.0                   Programmer: Chris Howard 12/09/88 *
*                                                     Daniel Sie   10/15/91 *
*                                                     Luhit Young  03/01/92 *
*                                                                           *
*****************************************************************************

$NOTRUNCATE

* Function Declarations

* pcxBD.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxBufferDisplay
     +[PASCAL,ALIAS: 'PCXBUFFERDISPLAY']
     +(buffer [FAR, REFERENCE],bufsize,x,y,page)
      CHARACTER     buffer
      INTEGER*2     bufsize
      INTEGER*2     x,y,page
      END

* pcxBF.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxBufferFile
     +[PASCAL,ALIAS: 'PCXBUFFERFILE']
     +(buffer [FAR, REFERENCE],bufsize,filename [FAR, REFERENCE])
      CHARACTER     buffer
      INTEGER*2     bufsize
      CHARACTER     filename
      END

* pcxBH.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxVerifyBuffer
     +[PASCAL,ALIAS: 'PCXVERIFYBUFFER']
     +(buffer [FAR, REFERENCE])
      CHARACTER     buffer
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxGetBufferHeader
     +[PASCAL,ALIAS: 'PCXGETBUFFERHEADER']
     +(buffer [FAR, REFERENCE],header [FAR, REFERENCE])
      INTEGER*2     buffer
      STRUCTURE    /PCXHEADER/
        INTEGER*1     manuf,hard,encod,bitpx
        INTEGER*2     x1,y1,x2,y2,hres,vres
        INTEGER*1     clrma(48)
        INTEGER*1     vmode,nplanes
        INTEGER*2     bplin,palinfo,shres,svres
        INTEGER*1     xtra(54)
      END STRUCTURE
      RECORD       /PCXHEADER/ header
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxSetBufferHeader
     +[PASCAL,ALIAS: 'PCXSETBUFFERHEADER']
     +(buffer [FAR, REFERENCE],header [FAR, REFERENCE])
      CHARACTER     buffer
      STRUCTURE /PCXHEADER/
        INTEGER*1     manuf,hard,encod,bitpx
        INTEGER*2     x1,y1,x2,y2,hres,vres
        INTEGER*1     clrma(48)
        INTEGER*1     vmode,nplanes
        INTEGER*2     bplin,palinfo,shres,svres
        INTEGER*1     xtra(54)
      END STRUCTURE
      RECORD        /PCXHEADER/   header
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxGetBufferType
     +[PASCAL,ALIAS: 'PCXGETBUFFERTYPE']
     +(buffer [FAR, REFERENCE])
      CHARACTER     buffer
      END

* pcxBL.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxBufferScale
     +[PASCAL,ALIAS: 'PCXBUFFERSCALE']
     +(buffer [FAR, REFERENCE],bufsize,vhptr [FAR, REFERENCE])
      CHARACTER     buffer
      INTEGER*2     bufsize
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*1     version,encode
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      END

* pcxBP.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxSetPrinter
     +[PASCAL,ALIAS: 'PCXSETPRINTER']
     +(port,device,mode,scale,reset,eject)
      INTEGER*2     port,device,mode,scale,reset,eject
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxBufferPrint
     +[PASCAL,ALIAS: 'PCXBUFFERPRINT']
     +(buffer [FAR, REFERENCE],bufsize,x,y)
      CHARACTER     buffer
      INTEGER*2     bufsize,x,y
      END

* pcxBV.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxBufferVirtual
     +[PASCAL,ALIAS: 'PCXBUFFERVIRTUAL']
     +(buffer [FAR, REFERENCE],bufsize,vhptr [FAR, REFERENCE])
      CHARACTER     buffer
      INTEGER*2     bufsize
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*1     version,encode
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      END

* pcxDB.asm

      INTERFACE TO INTEGER*4 FUNCTION pcxDisplayBuffer
     +[PASCAL,ALIAS: 'PCXDISPLAYBUFFER']
     +(buffer [FAR, REFERENCE],bufmax,x1,y1,x2,y2,page)
      CHARACTER     buffer
      INTEGER*2     bufmax
      INTEGER*2     x1,y1,x2,y2,page
      END

* pcxDF.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxDisplayFile
     +[PASCAL,ALIAS: 'PCXDISPLAYFILE']
     +(filename [FAR, REFERENCE],x1,y1,x2,y2,page)
      CHARACTER     filename
      INTEGER*2     x1,y1,x2,y2,page
      END

* pcxDP.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxDecodePalette
     +[PASCAL,ALIAS: 'PCXDECODEPALETTE']
     +(dtype,clrma [FAR, REFERENCE],pal [FAR, REFERENCE])
      INTEGER*2     dtype
      CHARACTER     clrma,pal
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxEncodePalette
     +[PASCAL,ALIAS: 'PCXENCODEPALETTE']
     +(dtype,clrma [FAR, REFERENCE],pal [FAR, REFERENCE])
      INTEGER*2     dtype
      CHARACTER     clrma,pal
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxGetBufferPalette
     +[PASCAL,ALIAS: 'PCXGETBUFFERPALETTE']
     +(dtype,buffer [FAR, REFERENCE],bufsize,pal [FAR, REFERENCE])
      INTEGER*2     dtype,bufsize
      CHARACTER     buffer,pal
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxSetBufferPalette
     +[PASCAL,ALIAS: 'PCXSETBUFFERPALETTE']
     +(dtype,buffer [FAR, REFERENCE],bufsize,pal [FAR, REFERENCE])
      INTEGER*2     dtype,bufsize 
      CHARACTER     buffer,pal
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxGetFilePalette
     +[PASCAL,ALIAS: 'PCXGETFILEPALETTE']
     +(dtype,filename [FAR, REFERENCE],pal [FAR, REFERENCE])
      INTEGER*2     dtype
      CHARACTER     filename,pal
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxSetFilePalette
     +[PASCAL,ALIAS: 'PCXSETFILEPALETTE']
     +(dtype,filename [FAR, REFERENCE],pal [FAR, REFERENCE])
      INTEGER*2     dtype
      CHARACTER     filename,pal
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxGetLibPalette
     +[PASCAL,ALIAS: 'PCXGETLIBPALETTE']
     +(dtype,lib [FAR, REFERENCE],filename [FAR, REFERENCE],
     + pal [FAR, REFERENCE])
      INTEGER*2     dtype
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      CHARACTER     filename
      CHARACTER     pal
      END

* pcxED.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxEncodeScanline
     +[PASCAL,ALIAS: 'PCXENCODESCANLINE']
     +(sline [FAR, REFERENCE],ssize,dline [FAR, REFERENCE])
      CHARACTER     sline,dline
      INTEGER*2     ssize
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxDecodeScanline
     +[PASCAL,ALIAS: 'PCXDECODESCANLINE']
     +(sline [FAR, REFERENCE],ssize,dline [FAR, REFERENCE],dsize,
     + rcount [FAR, REFERENCE],rdata [FAR, REFERENCE])
      CHARACTER     sline,dline
      INTEGER*2     ssize,dsize
      INTEGER*2     rcount,rdata
      END

* pcxFB.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxFileBuffer
     +[PASCAL,ALIAS: 'PCXFILEBUFFER']
     +(filename [FAR, REFERENCE],buffer [FAR, REFERENCE],bufmax)
      CHARACTER     filename,buffer
      INTEGER*2     bufmax
      END

* pcxFC.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxFileConvert
     +[PASCAL,ALIAS: 'PCXFILECONVERT']
     +(filename [FAR, REFERENCE],vhptr [FAR, REFERENCE])
      CHARACTER     filename
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*1     version,encode
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      END

* pcxFD.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxFileDisplay
     +[PASCAL,ALIAS: 'PCXFILEDISPLAY']
     +(filename [FAR, REFERENCE],x,y,page)
      CHARACTER     filename
      INTEGER*2     x,y,page
      END


* pcxFH.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxVerifyFile
     +[PASCAL,ALIAS: 'PCXVERIFYFILE']
     +(filename [FAR, REFERENCE])
      CHARACTER     filename
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxGetFileHeader
     +[PASCAL,ALIAS: 'PCXGETFILEHEADER']
     +(filename [FAR, REFERENCE],header [FAR, REFERENCE])
      CHARACTER     filename
      STRUCTURE    /PCXHEADER/
        INTEGER*1     manuf,hard,encod,bitpx
        INTEGER*2     x1,y1,x2,y2,hres,vres
        INTEGER*1     clrma(48)
        INTEGER*1     vmode,nplanes
        INTEGER*2     bplin,palinfo,shres,svres
        INTEGER*1     xtra(54)
      END STRUCTURE
      RECORD       /PCXHEADER/ header
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxSetFileHeader
     +[PASCAL,ALIAS: 'PCXSETFILEHEADER']
     +(filename [FAR, REFERENCE],header [FAR, REFERENCE])
      CHARACTER     filename
      STRUCTURE    /PCXHEADER/
        INTEGER*1     manuf,hard,encod,bitpx
        INTEGER*2     x1,y1,x2,y2,hres,vres
        INTEGER*1     clrma(48)
        INTEGER*1     vmode,nplanes
        INTEGER*2     bplin,palinfo,shres,svres
        INTEGER*1     xtra(54)
      END STRUCTURE
      RECORD       /PCXHEADER/ header
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxGetFileType
     +[PASCAL,ALIAS: 'PCXGETFILETYPE']
     +(filename [FAR, REFERENCE])
      CHARACTER     filename
      END

* pcxFI.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxFileImage
     +[PASCAL,ALIAS: 'PCXFILEIMAGE']
     +(vtype,filename [FAR, REFERENCE],vhptr [FAR, REFERENCE],gxtype)
      INTEGER*2     vtype,gxtype
      CHARACTER     filename
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*1     version,encode
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      END

* pcxFL.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxFileScale
     +[PASCAL,ALIAS: 'PCXFILESCALE']
     +(filename [FAR, REFERENCE],vhptr [FAR, REFERENCE])
      CHARACTER     filename
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*1     version,encode
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      END

* pcxFV.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxFileVirtual
     +[PASCAL,ALIAS: 'PCXFILEVIRTUAL']
     +(filename [FAR, REFERENCE],vhptr [FAR, REFERENCE],x,y)
      CHARACTER     filename
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*1     version,encode
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*2     x,y
      END

* pcxLB.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxLibBuffer
     +[PASCAL,ALIAS: 'PCXLIBBUFFER']
     +(lib [FAR, REFERENCE],filename [FAR, REFERENCE],
     + buffer [FAR, REFERENCE],bufmax)
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      CHARACTER     filename
      CHARACTER     buffer
      INTEGER*2     bufmax
      END

* pcxLC.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxLibConvert
     +[PASCAL,ALIAS: 'PCXLIBCONVERT']
     +(lib [FAR, REFERENCE],filename [FAR, REFERENCE],
     + vhptr [FAR, REFERENCE])
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      CHARACTER     filename
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*1     version,encode
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      END

* pcxLD.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxLibDisplay
     +[PASCAL,ALIAS: 'PCXLIBDISPLAY']
     +(lib [FAR, REFERENCE],filename [FAR, REFERENCE],x,y,page)
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      CHARACTER     filename
      INTEGER*2     x,y,page
      END

* pcxLH.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxVerifyLib
     +[PASCAL,ALIAS: 'PCXVERIFYLIB']
     +(lib [FAR, REFERENCE],filename [FAR, REFERENCE])
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      CHARACTER     filename
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxGetLibHeader
     +[PASCAL,ALIAS: 'PCXGETLIBHEADER']
     +(lib [FAR, REFERENCE],filename [FAR, REFERENCE],
     + header [FAR, REFERENCE])
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      CHARACTER     filename
      STRUCTURE    /PCXHEADER/
        INTEGER*1     manuf,hard,encod,bitpx
        INTEGER*2     x1,y1,x2,y2,hres,vres
        INTEGER*1     clrma(48)
        INTEGER*1     vmode,nplanes
        INTEGER*2     bplin,palinfo,shres,svres
        INTEGER*1     xtra(54)
      END STRUCTURE
      RECORD       /PCXHEADER/ header
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxGetLibType
     +[PASCAL,ALIAS: 'PCXGETLIBTYPE']
     +(lib [FAR, REFERENCE],filename [FAR, REFERENCE])
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      CHARACTER     filename
      END

* pcxLI.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxLibImage
     +[PASCAL,ALIAS: 'PCXLIBIMAGE']
     +(vtype,lib [FAR, REFERENCE],filename [FAR, REFERENCE],
     + vhptr [FAR, REFERENCE],gxtype)
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      CHARACTER     filename
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*1     version,encode
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*2     gxtype
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxFreeImage
     +[PASCAL,ALIAS: 'PCXFREEIMAGE']
     +(vhptr [FAR, REFERENCE])
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*1     version,encode
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      END

* pcxLL.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxLibScale
     +[PASCAL,ALIAS: 'PCXLIBSCALE']
     +(lib [FAR, REFERENCE],filename [FAR, REFERENCE],
     + vhptr [FAR, REFERENCE])
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      CHARACTER     filename
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*1     version,encode
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      END

* pcxLP.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxLibPrint
     +[PASCAL,ALIAS: 'PCXLIBPRINT']
     +(lib [FAR, REFERENCE],filename [FAR, REFERENCE],x,y)
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      CHARACTER     filename
      INTEGER*2     x,y
      END

* pcxLV.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxLibVirtual
     +[PASCAL,ALIAS: 'PCXLIBVIRTUAL']
     +(lib [FAR, REFERENCE],filename [FAR, REFERENCE],
     + vhptr [FAR, REFERENCE],x,y)
      STRUCTURE    /GXLIB/
        INTEGER*1     ltype
        CHARACTER*65  path
        INTEGER*2     handle,entries
        INTEGER*4     lpos
        INTEGER*2     bbegent,bcurent,bmaxent
        INTEGER*4     bptr
        INTEGER*1     reserved(172)
      END STRUCTURE
      RECORD       /GXLIB/ lib
      CHARACTER     filename
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*1     version,encode
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*2     x,y
      END

* pcxSD.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxGetVersion
     +[PASCAL,ALIAS: 'PCXGETVERSION']
     +(major [FAR, REFERENCE],minor [FAR, REFERENCE])
      INTEGER*2       major,minor
      END

* pcxVB.asm

      INTERFACE TO INTEGER*4 FUNCTION pcxVirtualBuffer
     +[PASCAL,ALIAS: 'PCXVIRTUALBUFFER']
     +(vhptr [FAR, REFERENCE],x1,y1,x2,y2,
     +buffer [FAR, REFERENCE],bufsize)
      CHARACTER     buffer
      INTEGER*2     bufsize,x1,y1,x2,y2
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*1     version,encode
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      END

* pcxVF.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxVirtualFile
     +[PASCAL,ALIAS: 'PCXVIRTUALFILE']
     +(vhptr [FAR, REFERENCE],x1,y1,x2,y2,filename [FAR, REFERENCE])
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*1     version,encode
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*2     x1,y1,x2,y2
      CHARACTER     filename
      END

* pcxVP.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxVirtualPrint
     +[PASCAL,ALIAS: 'PCXVIRTUALPRINT']
     +(vhptr [FAR, REFERENCE],x,y)
      STRUCTURE    /GXHEADER/
        INTEGER*2     id
        INTEGER*1     version,encode
        INTEGER*2     dtype,x1,y1,x2,y2,hres,vres
        INTEGER*1     nplanes,bitpx
        INTEGER*2     bplin,vtype
        INTEGER*4     vptr
        INTEGER*2     ptype
        INTEGER*4     pptr    
        INTEGER*1     reserved(94)
      END STRUCTURE
      RECORD       /GXHEADER/ vhptr
      INTEGER*2     x,y
      END

* pcxYP.asm

      INTERFACE TO INTEGER*2 FUNCTION pcxDisplayPrint
     +[PASCAL,ALIAS: 'PCXDISPLAYPRINT']
     +(x,y)
      INTEGER*2     x,y
      END

      INTERFACE TO INTEGER*2 FUNCTION pcxFilePrint
     +[PASCAL,ALIAS: 'PCXFILEPRINT']
     +(filename [FAR, REFERENCE],x,y)
      CHARACTER     filename
      INTEGER*2     x,y
      END

