* pcxLib.FOR                                                                *
* Copyright (c) Genus Microprogramming, Inc. 1988-92  All Rights Reserved.  *

*****************************************************************************
*                                                                           *
* Function declarations for the PCX Programmer's Toolkit, for MS Fortran.   *
*                                                                           *
*                                                                           *
* Microsoft Fortran 5.0                   Programmer: Chris Howard 12/09/88 *
*                                                     Daniel Sie   10/15/91 *
*                                                     Luhit Young  03/01/92 *
*                                                                           *
*****************************************************************************

$NOTRUNCATE
$PACK:1

* Functions
* pcxBD.asm
      INTEGER*2 pcxBufferDisplay [EXTERN]

* pcxBF.asm
      INTEGER*2 pcxBufferFile [EXTERN]

* pcxBH.asm
      INTEGER*2 pcxVerifyBuffer [EXTERN]
      INTEGER*2 pcxGetBufferHeader [EXTERN]
      INTEGER*2 pcxSetBufferHeader [EXTERN]
      INTEGER*2 pcxGetBufferType [EXTERN]

* pcxBL.asm
      INTEGER*2 pcxBufferScale [EXTERN]

* pcxBP.asm
      INTEGER*2 pcxSetPrinter [EXTERN]
      INTEGER*2 pcxBufferPrint [EXTERN]

* pcxBV.asm
      INTEGER*2 pcxBufferVirtual [EXTERN]

* pcxDB.asm
      INTEGER*4 pcxDisplayBuffer [EXTERN]

* pcxDF.asm
      INTEGER*2 pcxDisplayFile [EXTERN]

* pcxDP.asm
      INTEGER*2 pcxDecodePalette [EXTERN]
      INTEGER*2 pcxEncodePalette [EXTERN]
      INTEGER*2 pcxGetBufferPalette [EXTERN]
      INTEGER*2 pcxSetBufferPalette [EXTERN]
      INTEGER*2 pcxGetFilePalette [EXTERN]
      INTEGER*2 pcxSetFilePalette [EXTERN]
      INTEGER*2 pcxGetLibPalette [EXTERN]

* pcxED.asm
      INTEGER*2 pcxEncodeScanline [EXTERN]
      INTEGER*2 pcxDecodeScanline [EXTERN]

* pcxFB.asm
      INTEGER*2 pcxFileBuffer [EXTERN]

* pcxFC.asm
      INTEGER*2 pcxFileConvert [EXTERN]

* pcxFD.asm
      INTEGER*2 pcxFileDisplay [EXTERN]

* pcxFH.asm
      INTEGER*2 pcxVerifyFile [EXTERN]
      INTEGER*2 pcxGetFileHeader [EXTERN]
      INTEGER*2 pcxSetFileHeader [EXTERN]
      INTEGER*2 pcxGetFileType [EXTERN]

* pcxFI.asm
      INTEGER*2 pcxFileImage [EXTERN]

* pcxFL.asm
      INTEGER*2 pcxFileScale [EXTERN]

* pcxFP.asm
      INTEGER*2 pcxFilePrint [EXTERN]

* pcxFV.asm
      INTEGER*2 pcxFileVirtual [EXTERN]

* pcxLB.asm
      INTEGER*2 pcxLibBuffer [EXTERN]

* pcxLC.asm
      INTEGER*2 pcxLibConvert [EXTERN]

* pcxLD.asm
      INTEGER*2 pcxLibDisplay [EXTERN]

* pcxLH.asm
      INTEGER*2 pcxVerifyLib [EXTERN]
      INTEGER*2 pcxGetLibHeader [EXTERN]
      INTEGER*2 pcxGetLibType [EXTERN]

* pcxLI.asm
      INTEGER*2 pcxLibImage [EXTERN]
      INTEGER*2 pcxFreeImage [EXTERN]

* pcxLL.asm
      INTEGER*2 pcxLibScale [EXTERN]

* pcxLP.asm
      INTEGER*2 pcxLibPrint [EXTERN]

* pcxLV.asm
      INTEGER*2 pcxLibVirtual [EXTERN]

* pcxSD.asm
      INTEGER*2 pcxGetVersion [EXTERN]

* pcxVB.asm
      INTEGER*4 pcxVirtualBuffer [EXTERN]

* pcxVF.asm
      INTEGER*2 pcxVirtualFile [EXTERN]

* pcxVP.asm
      INTEGER*2 pcxVirtualPrint [EXTERN]

* pcxYP.asm
      INTEGER*2 pcxDisplayPrint [EXTERN]

* PCX Version number
      INTEGER*2  pcxHARD
      PARAMETER (pcxHARD     = 5)

* Supported GX display types
      INTEGER*2  pcxMINDISP
      PARAMETER (pcxMINDISP  = 0)
      INTEGER*2  pcxMAXDISP
      PARAMETER (pcxMAXDISP  = gxVESA_105)

* Printer Ports
      INTEGER*2  pcxLPT1,pcxLPT2,pcxLPT3
*     Printer Port 1
      PARAMETER (pcxLPT1     = 0)
*     Printer Port 2
      PARAMETER (pcxLPT2     = 1)
*     Printer Port 3
      PARAMETER (pcxLPT3     = 2)

* Printer Types
      INTEGER*2  pcxMINPRINT,pcxLASER,pcxDOTMAT,pcxMAXPRINT
*     Minimum printer type
      PARAMETER (pcxMINPRINT = 0)
*     HP LaserJet
      PARAMETER (pcxLASER    = 0)
*     Dot Matrix
      PARAMETER (pcxDOTMAT   = 1)
*     Maximum printer type
      PARAMETER (pcxMAXPRINT = 1)

* Printer Modes
      INTEGER*2  pcxDRAFT,pcxQUALITY
*     Draft Mode
      PARAMETER (pcxDRAFT    = 0)
*     Quality
      PARAMETER (pcxQUALITY  = 1)

* Printer Scales
      INTEGER*2  pcxSCALE100,pcxSCALE75,pcxSCALE50,pcxSCALE25
      INTEGER*2  pcxSCALE200
*     100%
      PARAMETER (pcxSCALE100 = 0)
*     75%
      PARAMETER (pcxSCALE75  = 1)
*     50%
      PARAMETER (pcxSCALE50  = 2)
*     25%
      PARAMETER (pcxSCALE25  = 3)
*     200%
      PARAMETER (pcxSCALE200 = 4)

* Printer Flags
      INTEGER*2  pcxNORESET,pcxRESET,pcxNOEJECT,pcxEJECT
*     No reset before printing
      PARAMETER (pcxNORESET  = 0)
*     Reset before printing
      PARAMETER (pcxRESET    = 1)
*     No eject after printing
      PARAMETER (pcxNOEJECT  = 0)
*     Eject page after printing
      PARAMETER (pcxEJECT    = 1)

* Error Codes
      INTEGER*2  pcxSUCCESS,pcxERR_NOTPCX,pcxERR_BADPRINT
      INTEGER*2  pcxERR_BADPORT,pcxERR_PRINTER,pcxERR_NOTBW
*     Successful
      PARAMETER (pcxSUCCESS       =  0   )
*     Not a valid pcx buffer/file
      PARAMETER (pcxERR_NOTPCX    = -3000)
*     Bad printer type
      PARAMETER (pcxERR_BADPRINT  = -3001)
*     Bad printer port
      PARAMETER (pcxERR_BADPORT   = -3002)
*     Printer error (timeout, i/o, paper)
      PARAMETER (pcxERR_PRINTER   = -3003)
*     Not a Black/White image
      PARAMETER (pcxERR_NOTBW     = -3004)
*     Escape key was pressed

* PCX Header
      STRUCTURE /PCXHEADER/
        INTEGER*1     manuf,hard,encod,bitpx
        INTEGER*2     x1,y1,x2,y2,hres,vres
        INTEGER*1     clrma(48)
        INTEGER*1     vmode,nplanes
        INTEGER*2     bplin,palinfo,shres,svres
        INTEGER*1     xtra(54)
      END STRUCTURE



